2 Fatal Errors following upgrade to 2.10.0


(texacola) #1

I just tried updating to the version 2.10.0 automatically and it appears to have failed and I’m now getting the following two errors when I try to go to the login page…

Fatal error: Class ‘Piwik\Plugins\CoreHome\Columns\Metrics\EvolutionMetric’ not found in /home/jamsee4/ipfreelyproxies.info/piwik/plugins/MultiSites/Columns/Metrics/EcommerceOnlyEvolutionMetric.php on line 22

Fatal error: Class ‘Piwik_Plugin’ not found in /home/jamsee4/ipfreelyproxies.info/piwik/plugins/ExampleUI/ExampleUI.php on line 27

Please help.

Thanks!

Tex


(Stefan Giehl) #2

Which version did you upgrade from?
You could try to remove and reupload Piwik. (Don’t forget to backup the config)


(texacola) #3

It was 1.8.4 I think. So I need to just delete the whole install, except the database of course, and then just do the installation over again?

Thanks

Tex


(Matthieu Napoli) #4

Regarding this error:

Fatal error: Class ‘Piwik_Plugin’ not found in /home/jamsee4/ipfreelyproxies.info/piwik/plugins/ExampleUI/ExampleUI.php on line 27

You have an old incompatible plugin, you can remove it as it seems to be an “example” plugin (remove the /home/jamsee4/ipfreelyproxies.info/piwik/plugins/ExampleUI folder).

For the other error indeed re-uploading Piwik will solve it as said by SteveG. Just do a backup of your configuration file and put it back afterwards (config/config.ini.php).


(texacola) #5

This fixed it, thanks everyone!

Thanks!

Tex